NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey – photo 1
Out of Stock / Please Enquire ETA
NETGEAR

NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey

R7,491
incl. VAT: R8,615
  • Stock: Out of Stock / Please Enquire ETA
  • Brand: NETGEAR
  • Model: GS748-100EUS
  • Weight: 4.19 kg
  • Dimensions: 52 × 34 × 8 cm
  • EAN: 606449174892
  • Product code: 1049716
Please Inquire
R7,491 incl. VAT: R8,615
We will email you when the product is back in stock.
SavePDF

Key features

  • 48 x Gigabit Ethernet ports
  • Plug and play switch, no management required
  • Energy Efficient Ethernet for maximum power savings
  • Fanless and silent
  • Rackmount or desktop

Description

PLUG-AND-PLAY

Simple set up with no software to install or configuration needed

NON-BLOCKING SWITCHING

Non-blocking switching architecture for maximum throughput at wire speed

FANLESS DESIGN

Silent operation makes this switch perfect for noise-sensitive environments

VERSATILE MOUNTING OPTIONS

Place your switch on your desktop or mount it to your rack with the hardware provided in the box

ENERGY EFFICIENT

Energy Efficient Ethernet (IEEE 802.3az) standard, which reduces energy consumption when there is light traffic on an active port or when there is no link or no activity detected

QUALITY AND RELIABILITY

Peace of mind with limited lifetime warranty, next business day replacement, and lifetime email and chat support.

Specifications

Management features
Switch type Unmanaged
Quality of Service (QoS) support Yes
MIB support RFC 1213 MIB II, RFC 1643, RFC 1493
Ports & interfaces
Basic switching RJ-45 Ethernet ports quantity 48
Basic switching RJ-45 Ethernet ports type Gigabit Ethernet (10/100/1000)
Network
Networking standards IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology 10BASE-T
Full duplex Yes
Flow control support Yes
Link aggregation Yes
Ethernet LAN data rates 1000 Mbit/s
Data transmission
MAC address table 8000 entries
Maximum data transfer rate 1 Gbit/s
Jumbo frames support Yes
Jumbo frames 9.216
Packet buffer memory 1.5 MB
Design
Rack mounting Yes
Product colour Grey
Safety CE mark, cUL IEC950/EN60950
Performance
Mean time between failures (MTBF) 1094297 h
Power
Power source AC
Power consumption (max) 23 W
Power over Ethernet (PoE)
Power over Ethernet (PoE) No
Other features
Latency 2,900ns
Connectivity technology Wired
Authentication method 802.1x
I/O ports 48 x 10/100/1000 Mbps 4 x SFP
Electromagnetic emissions CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick
Operational conditions
Operating temperature (T-T) 0 - 50 °C
Operating relative humidity (H-H) 10 - 90%
Weight & dimensions
Width 440 mm
Depth 202 mm
Height 43 mm
Weight 3.2 kg
Certificates
Compliance certificates Federal Communications Commission (FCC)
LevelOne FGP-2831 network switch Unmanaged Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Black
✅ In Stock
Brand: LEVELONE
The FGP-2831 is LevelOne latest generation of 28-Port Fast Ethernet Unmanaged PoE Switch, with 2 Gigabit RJ45 and 2 Gigabit SFP Uplink ports. also off..
R7,482
incl. VAT:R8,604
Add to Cart
ROLINE PoE Fast Ethernet Switch 8 Port 8x PoE 19
✅ In Stock
Brand: ROLINE
R7,506
incl. VAT:R8,631
Add to Cart
ROLINE 21.14.3523 Managed Gigabit Ethernet 10-100-1000 Full Duplex Wall Mounting
✅ In Stock
Brand: ROLINE
R7,458
incl. VAT:R8,577
Add to Cart
NETGEAR GS510TPP Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
✅ In Stock
Brand: NETGEAR
Smart Managed Switches just got more powerful and flexibleAs a leading provider of network equipment for SMBs, NETGEAR understands the importance of p..
R7,529
incl. VAT:R8,659
Add to Cart
StarTech.com 4-Port KM Switch with Mouse Switching, USB Switch for Keyboard/Mouse, 3.5mm/USB Audio, Peripheral Sharing for 4 Computers, TAA Compliant
✅ In Stock
Brand: STARTECH.COM
Control up to four computers with a single keyboard and mouseThis Keyboard and Mouse (KM) Switch enables switching a single keyboard and mouse between..
R7,529
incl. VAT:R8,659
Add to Cart
TP-Link TL-SG1048 Unmanaged Gigabit Ethernet (10/100/1000) 1U Black
✅ In Stock
Brand: TP-LINK
- 48 10/100/1000Mbps RJ45 ports- Innovative energy-efficient technology saves power up to 18%- Supports MAC address self-learning and auto MDI/MDIX- S..
R7,529
incl. VAT:R8,659
Add to Cart
ROLINE Industrial Switch 7x RJ-45 1x ST Unmanaged Full Duplex
✅ In Stock
Brand: ROLINE
R7,540
incl. VAT:R8,671
Add to Cart
ROLINE Industrial Switch 7x RJ-45 1x SC Unmanaged Full Duplex
✅ In Stock
Brand: ROLINE
R7,540
incl. VAT:R8,671
Add to Cart